Subject: Re: [PATCH v2 3/8] Teach git var about GIT_EDITOR

From: Jonathan Nieder <[email-masked]>
Date: Fri, 30 Oct 2009 21:23:47 -0500

Junio C Hamano wrote:

>> 	core.logallrefupdates=true
>>
>> 	*** Please tell me who you are.
>>
>> 	Run
>>
>> 	  git config --global user.email "[email-masked]"
>> 	  git config --global user.name "Your Name"
>>
>> 	to set your account's default identity.
>> 	Omit --global to set the identity only in this repository.
>>
>> 	GIT_COMMITTER_IDENT=user <user@domain> 1256952739 -0500
>> 	GIT_AUTHOR_IDENT=user <user@domain> 1256952739 -0500
>> 	warning: GIT_EDITOR: terminal is dumb, but EDITOR unset
> 
> Sorry, I cannot grok this example.  Is it supposed to be a transcript
> of a user session?  What did the user type?

Oh, sorry about that.  The user typed 'git var -l', and that is all
output from that.  More realistic examples:

$ # what scripts see
$ git var -l 2>/dev/null
gc.auto=0
rerere.enabled
merge.log
merge.conflictstyle=diff3
core.repositoryformatversion=0
core.filemode=true
core.bare=false
core.logallrefupdates=true
remote.origin.fetch=+refs/heads/*:refs/remotes/origin/*
remote.origin.url=git://repo.or.cz/git
branch.master.remote=origin
branch.master.merge=refs/heads/master
GIT_COMMITTER_IDENT=user <user@domain> 1256952739 -0500
GIT_AUTHOR_IDENT=user <user@domain> 1256952739 -0500
$
$ # what scripts pass on to the user
$ git var -l >/dev/null

*** Please tell me who you are.

Run

  git config --global user.email "[email-masked]"
  git config --global user.name "Your Name"

to set your account's default identity.
Omit --global to set the identity only in this repository.

warning: GIT_EDITOR: terminal is dumb, but EDITOR unset
$ 

At least, that is what I was imagining (that’s one way to use git var,
anyway).

Would a more friendly message be helpful here?  I am not sure how 'git
var -l' gets used.  I never liked using it directly myself, mostly
because the long list of configuration items can be overwhelming.

Jonathan